/*
 * TofBetaVsTrkRigHistoAction.cpp
 *
 *  Created on: 14/set/2009
 *      Author: Nicola Mori
 */

#include "TofBetaVsTrkRigHistoAction.h"

TofBetaVsTrkRigHistoAction::TofBetaVsTrkRigHistoAction(const char *actionName, TString outFileBase,
    TString mode, bool outRoot, bool outText, TString title) :
Histo2DAction<Int_t> (actionName, title, outFileBase, mode, outRoot, outText){
}

void TofBetaVsTrkRigHistoAction::OnGood(PamLevel2 *event) {

  Fill(event->GetTrack(0)->GetTrkTrack()->GetRigidity(), event->GetTrack(0)->GetToFTrack()->beta[12]);
}
